
 Make a better guess of line-end type default based on platform type.

--- pgadmin/include/utils/sysSettings.h.orig	Mon Oct 05 18:16:13 2015
+++ pgadmin/include/utils/sysSettings.h	Wed Oct 07 20:09:59 2015
@@ -433,7 +433,17 @@
 	int GetLineEndingType() const
 	{
 		int i;
-		Read(wxT("LineEndingType"), &i, 2);
+		int defval = 2;
+#ifdef __WXMAC__
+		defval = 1; /* SC_EOL_CR in Scintilla.h */
+#else
+#ifdef __WXMSW__
+		defval = 0; /* SC_EOL_CRLF in Scintilla.h */
+#else
+		defval = 2; /* SC_EOL_LF in Scintilla.h */
+#endif
+#endif
+		Read(wxT("LineEndingType"), &i, defval);
 		return i;
 	}
 	void SetLineEndingType(const int newval)

